FileLocationHandler Namespace Reference

Contains all public definitions in the FileLocationHandler module. More...

## Classes

class | AbstractFileLocationHandler
| The abstract file location handler class. More...
struct | FileHandlerOptionInfo
| File handler option info. More...
class | FileLocationHandler
| The main class. More...
class | FileLocationHandlerFile
| The class for handling "file://" locations. More...
class | FileLocationHandlerFtp
| The class for handling file locations. More...
class | FileLocationHandlerHttp
| The class for handling file locations. More...
class | FileLocationHandlerSftp
| The class for handling file locations. More...
class | OutputStreamWrapper
| The abstract file location handler class. More...

## Detailed Description

Contains all public definitions in the FileLocationHandler module.